Bug 114809 - [Patch] Argument to new-kernel-pkgs to set banner
[Patch] Argument to new-kernel-pkgs to set banner
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 21:41 EST by Horms
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.5.19-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 22:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add --banner option to new-kernel-pkg (1.28 KB, patch)
2004-02-02 21:43 EST, Horms
no flags Details | Diff

  None (edit)
Description Horms 2004-02-02 21:41:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Debian/1.6-1

Description of problem:
When kernel RPMS install they call new-kernel-pkgs to update
grub.conf. In the process of doing this a label/banner/title/whatever
is assigned to the image that is derived from /etc/redhat-release if
present or hard coded to "Red Hat" otherwise. The version of the kernel
is appended to this value.

I think it would be desirable to allow the banner to optionally be
passed as an argument to new-kernel-pkgs. This would allow
non-Red Hat supplied kernels to label themselves accordingly.
At this stage there doesn't seem to be a way to do this, so
non-Red Hat supplied kerrnel packages end up showing up
as "Red Hat" or "Fedora Core" when
installed - that is unless /etc/redhat-release has been modified.

The patch is completely backwards compatible and quite small.
Please apply it :-)

-- 
Horms


Version-Release number of selected component (if applicable):
mkinitrd-3.5.13-1

How reproducible:
Always

Steps to Reproduce:
1. Run new-kernel-pkgs (or install a kernel package)
2. Inspect /etc/grub.conf
3.
    

Actual Results:  Installed kernel is labeled as "Fedora Core"

Expected Results:  Some facility to allow an alternate label

Additional info:
Comment 1 Horms 2004-02-02 21:43:05 EST
Created attachment 97428 [details]
Patch to add --banner option to new-kernel-pkg
Comment 2 Horms 2004-02-02 21:44:12 EST
This feature would also be useful in RHEL :-)
Comment 3 Jeremy Katz 2004-02-09 14:00:52 EST
Thanks, applied in CVS and will be in 3.5.19
Comment 4 Matthew Miller 2006-07-11 13:32:16 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 5 Horms 2006-07-11 20:38:21 EDT
This problem is certainly not a sercuirty issue, and furthermore, according
to Jerremy Katz's comment, it seems to have been incoporated into subsequent
versions of RHEL and/or Fedora.

I am confortable for this bug to be closed.
Comment 6 Matthew Miller 2006-07-11 22:00:51 EDT
Yeah, a changelog entry confirms. Thanks.

* Mon Feb 09 2004 Jeremy Katz - 3.5.19-1

- nash/mkinitrd: quiet mode for nash and necessary mkinitrd changes
  to work with it
- mkinitrd: add lxo's patch for copying lvm.conf (#112099)
- new-kernel-pkg: allow specifying the banner used in the boot loader config
  on the command line (#114809)

Note You need to log in before you can comment on or make changes to this bug.